module Tracker
  class Git
    def contains?(message, options = {})
      branch = options.fetch(:branch, 'HEAD')
      remote_branch = options[:remote_branch]
      result = `git log #{[remote_branch, branch].compact.join('..')} --grep='#{message}'`
      result.length > 0
    end

    def latest_log(options = {})
      branch = options.fetch(:branch, 'HEAD')
      remote_branch = options[:remote_branch]
      commits = `git log -n 50 #{[remote_branch, branch].compact.join('..')} --grep='#' --oneline`
      commits.scan(/#([0-9]{9})/).flatten
    end
  end
end
